﻿.dtc_common {
    font-family: var(--alfa-font-family, 'Libre Franklin', Roboto, Helvetica, Arial, sans-serif);
    font-size: var(--dlt-font-size-xs, 0.875rem);
    color: var(--alfa-text-color-primary,#292F36);
    outline: none;
}

#ContentDiv.dtc-wrapper .po_captionbar {
    margin-top: -26px;
    width: 50%;
}

.dtc_common img {
    width: 16px;
    height: 16px;
}

.dtc_common *, ::after, :before {
    box-sizing:content-box;
}

.dtFilterItem td {
    display: inline-flex;
    align-items: center;
}

.dtFilterItem .dtFilterDiv {
    display: flex;
    justify-content: flex-end;
}

.dtHeaderRow .dtFixCellTable tr::after {
    min-height: unset;
}

.dtHeaderRow .dtFixCellTable .dtFilterDiv {
    display: flex;
    justify-content: flex-end;
}

.dtColTreeFuns tr {
    display: flex;
    align-items: center;
}

.dtColTreeFuns td {
    display: flex;
    align-items: center;
}

.dtFieldFooter .dtTable td,
.dtPopupForm .dtTable[style] tr td {
    text-align: right;
    padding-top: 10px;
    padding-right: 10px;
    display: flex;
    flex-direction: row-reverse;
}
.dtPopupForm .dtTable[style] tr td {
    padding-bottom: 10px;
}

.dtFieldFooter .dtTable td button+button,
.dtPopupForm .dtTable[style] tr td button+button {
    margin-right: 10px;
}

.dtTable {
    border-collapse: separate;
    border-spacing: 0;
    box-sizing: border-box;
    vertical-align: top;
}

.dt_ltr {
    border-right-style: solid !important;
}

.dt_rtl {
    border-left-style: solid !important;
}

.dtRowNum {
    /* background-color: var(--alfa-background-primary-hover); */
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-bottom-style: solid;
    border-right-style: solid;
    border-top-style: none;
    padding: 5px 8px;
    font-weight: 500;
    text-align: right;
}

.dtRowHC {
    background-color: var(--alfa-background-primary-hover);
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-right-style: none;
    border-bottom-style: solid;
    border-top-style: none;
    padding: 5px 8px;
    font-weight: normal;
    text-align: left;
    min-width: 120px;
    max-width: 220px;
    overflow: hidden;
    font-weight: 600;
    line-height: 22px;
}

.dtFixCellTable td[dir] {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    max-width: 0;
    min-width: 150px;
    text-align: left;
}

.dtColHC {
    background-color: var(--alfa-background-primary-hover);
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-right-style: none;
    border-bottom-style: solid;
    border-top-style: none;
    padding: 5px 8px;
    font-weight: 600;
    text-align: left;
    min-width: 120px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.dtColHC img {
    padding-top: 6px;
}

.dtColLHC {
    background-color: var(--alfa-background-primary-hover);
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-right-style: none;
    border-bottom-style: none;
    border-top-style: none;
    padding: 5px 8px;
    font-weight: 600;
    text-align: left;
    min-width: 120px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.dtdc {
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-right-style: none;
    border-bottom-style: solid;
    border-top-style: none;
    padding: 5px 8px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.dtdc_icon {
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-bottom-style: solid;
    border-right-style: solid;
    border-top-style: none;
    padding: 0px 4px 0px 4px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


.dtObj {
    cursor: pointer;
    pointer-events: all;
}

.dtContentTable {
    box-sizing: border-box;
    padding-bottom: 0px;
    padding-right: 0px;
    /*position: absolute;*/
    line-height: 18px;
    background-color: White;
    border-collapse: separate;
    border-width: 1px;
    border-spacing: 0;
    font-weight: 500;
}

    .dtContentTable, .dtContentTable * {
        box-sizing: border-box;
    }

    .dtContentTable tr, .dtHeaderTable tr {
        line-height: 31px;
        background-color: #fff;
    }

    .dtContentTable tr::after, .dtHeaderTable tr::after {
        content: "";
        display: inline-block;
        vertical-align: top;
        min-height: 42px;
     }

    .dtContentTable tr:nth-child(even) {
        background-color: #f5f5f5;
    }

    .dtHeaderTable tr:nth-child(even) {
        background-color: #f5f5f5;
    }

.dtHeaderTable {
    box-sizing: border-box;
    padding-bottom: 0px;
    padding-right: 0px;
    position: absolute;
    /*left: 0px;*/
    top: 0px;
    /*table-layout:fixed;*/
    line-height: 18px;
    border-collapse: separate;
    border-width: 1px;
    border-spacing: 0;
    font-weight: 600;
}

.dtFixRowTable {
    box-sizing: border-box;
    padding-bottom: 0px;
    padding-right: 0px;
    position: absolute;
    table-layout: fixed;
    left: 0px;
    bottom: 0px;
    border-collapse: separate;
    border-width: 1px;
    border-spacing: 0;
}

    .dtFixRowTable, .dtFixRowTable * {
        box-sizing: border-box;
    }

.dtFixCellTable {
    box-sizing: border-box;
    border-collapse: separate;
    border-spacing: 0;
    box-sizing: border-box;
    padding: 0px !important;
    white-space: nowrap;
    width: 100%;
    cursor: pointer;
}

.dtContentDiv {
    box-sizing: border-box;
    position: absolute;
    overflow: auto;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    z-index: 1;

    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-right-style: none;
    border-bottom-style: none;
    border-top-style: none;
}

.dtContentDiv:has(.dtContentPage:empty) {
    left: auto!important;
    min-width: 10.67px;
}

.dtContentPage {
    box-sizing: border-box;
    position: absolute;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
}

.dtRowHeaderDiv {
    box-sizing: border-box;
    position: absolute;
    top: 0px;
    bottom: 0px;
    overflow: hidden;
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-right-style: none;
    border-bottom-style: solid;
    border-top-style: none;
}

.dtColHeaderDiv {
    border: var(--alfa-dataset-border-bottom);
    border-bottom-style: solid;
    border-top-style: solid;
    border-right-style: none;
    border-left-style: none;

    box-sizing: border-box;
    position: absolute;
    top: 0px;
    overflow: hidden;
}

.dtFixHeaderDiv {
    box-sizing: border-box;
    position: absolute;
    overflow: hidden;

    border: var(--alfa-dataset-border-bottom);
    border-bottom-style: solid;
    border-top-style: solid;
    border-right-style: none;
    border-left-style: none;
}

.dtFixHeaderDiv tr {
    background-color: var(--alfa-background-primary-hover);
    font-weight: 600;
}

.dtFixHeaderDiv .dtRowNum {
    font-weight: 600;
}

.dtFixHeaderDivEmpty {
    box-sizing: border-box;
    position: absolute;
    left: 0px;
    top: 0px;
    /*right:0px;*/
    overflow: auto;
    /*border-right: solid 1px #9f9f9f;*/
    border-bottom: solid 1px #9f9f9f;
}

.dtFilterDiv {
    display: inline-block;
    float: right;
    width: 22px;
}

.dtFilterImg {
    position: absolute;
    top: 4px;
    right: 4px;
}

.dthsp {
    padding-left: 4px;
}

.dtHeaderRow {
    line-height: 18px;
    background-color: var(--alfa-background-primary-hover);
}

/*.dtNoWrap {
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}*/

.dtRTS {
    display: inline-block;
    margin-right: 4px;
    margin-bottom: -3px;
    cursor: pointer;
    /*float: left;*/
}

.dtCTS {
    margin-right: 4px;
    margin-top: 1px;
    cursor: pointer;
    float: left;
}

.dtCapTxt {
    display: inline;
    line-height: 14px;
}

.dtPlaceHolder {
    border-left: 1px solid gray;
    /*border-bottom: 1px solid gray;*/
    position: absolute;
    background-color: var(--alfa-background-primary-hover);
    box-sizing: border-box;
}

.dtHidden {
    background-color: whitesmoke;
    /*color:transparent;*/
    /*text-indent:-99999px;*/
}

/*.dtHiddenCol{
	background-color:whitesmoke;
	text-indent:-9999px;
}*/

.dtColHeaderCell {
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 4px;
    padding-right: 4px;
    vertical-align: middle;
    /*overflow: hidden;
   text-overflow: ellipsis;
	white-space:nowrap;*/
}

.dtFilterFrame {
    position: absolute;
    overflow-x: visible;
    overflow-y: auto;
    z-index: 10;
    top: -14px;
    /*border-bottom:1px solid #9f9f9f;*/
}

.dtFilterTable {
    border-collapse: separate;
    border-width: 1px;
    border-spacing: 0;
    margin-top: 4px;
    margin-bottom: 4px;
    vertical-align: middle;
}

.dtFilterCell {
    /*padding-right: 10px;*/
}

.dtFilterCellLTR {
    padding-right: 10px;
}

.dtFilterCellRTL {
    padding-left: 10px;
}

.dtFilterItem {
    padding-top: 2px;
    padding-bottom: 2px;
    padding-right: 4px;
    white-space: nowrap;
    cursor: pointer;
    font-weight: 600;
}

.dtAdminDiv {
    box-sizing: border-box;
    position: absolute;
    /*left:0px;*/
    top: 0px;
    overflow: hidden;
    /*border-bottom: solid 1px #9f9f9f;*/
}

.dtAdminSpan {
    position: absolute;
    top: 10px;
    left: 10px;
}

.dtRowTreeFuns {
    box-sizing: border-box;
    position: absolute;
    table-layout: fixed;
    border-collapse: separate;
    border-width: 1px;
    border-spacing: 0;
    bottom: 2px;
}

.dtRowTreeFuns table[style] {
    float: right;
}

.dtColTreeFuns {
    box-sizing: border-box;
    position: absolute;
    /*right: 0px;*/
    border-collapse: separate;
    border-width: 0px;
    border-spacing: 0;
    right: 6px!important;
    bottom: 0.7px;
}

.po_tool_div .po_tool_rec {
    margin-bottom: 6px;
}

.dtTreeFun {
    cursor: pointer;
}

.dtCFun {
    cursor: pointer;
}

.dtResizeShield {
    position: absolute;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    display: none;
    overflow: hidden;
    pointer-events: all;
    background-color: white;
    opacity: 0.4;
}

.dtResizeLine {
    position: absolute;
    top: 0px;
    left: 100px;
    width: 2px;
    bottom: 0px;
    background-color: darkgray;
}

.dtffNoSel {
    -moz-user-select: none;
}

/*.dtColScroll
{
	position:absolute;
	left:0px;
	top:0px;
	height:1px;
	visibility:hidden;
}*/

.dtHorScroll {
    height: 1px;
    position: absolute;
    /*left: 0px;*/
    top: 0px;
}

.dtVerScroll {
    width: 1px;
    position: absolute;
    left: 0px;
    top: 0px;
}

.dtTemplTable {
    border-collapse: separate;
    border-spacing: 0;
    box-sizing: border-box;
}

.dtTemplCell {
    border: var(--alfa-dataset-border-bottom);
    border-left-style: none;
    border-bottom-style: solid;
    border-right-style: solid;
    border-top-style: none;
    padding: 5px 8px;
    font-weight: normal;
    text-align: left;
    white-space: nowrap;
}

.dtHyphenDiv {
    /*overflow: hidden;*/
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
    -ms-word-break: break-all;
    word-wrap: break-word;
    white-space: normal;
    padding: 2px;
    text-overflow: ellipsis;
}


.dtFieldForm {
    position: absolute;
    visibility: hidden;
    opacity: 1;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
}

.dtFieldFormFrame {
    position: absolute;
    background-color: white;
    border: 1px solid gray;
    overflow-x: visible;
    overflow-y: visible;
    visibility: inherit;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
}

.dtFieldTableWrap {
    overflow-x: visible;
    overflow-y: auto;
    max-width: 500px;
    min-width: 400px;
    /*height:200px;*/
}

.dtFieldContentTable {
    border-collapse: separate;
    border-spacing: 0;
    box-sizing: border-box;
    white-space: break-spaces;
}

.dtFieldItemsTable {
    border-collapse: separate;
    border-spacing: 0;
    box-sizing: border-box;
    white-space: nowrap;
}

.dtFieldFooter {
    height: 40px;
    background-color: white;
    border-top: 1px solid lightgray;
}

.dtFieldButton {
    cursor: pointer;
    display: inline-block;
    float: left;
    padding: 2px 4px 2px 4px;
    margin: 4px;
    border: 1px solid lightgray;
}

    .dtFieldButton:hover {
        background-color: lightgray;
    }

.dtConfigForm {
    position: absolute;
    visibility: hidden;
    opacity: 1;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
}

.dtConfigFormFrame {
    position: absolute;
    background-color: white;
    border: 1px solid gray;
    /*overflow-x:visible;
	overflow-y:visible;*/
    visibility: inherit;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    z-index: 10000;
}

.dtConfigDivMob {
    height: 200px;
    overflow: auto;
    min-width: 400px;
}

.dtConfigDiv {
    height: 420px;
    overflow-y: auto;
    min-width: 400px;
}

.dtConfigCap1 {
    border-bottom: 1px solid lightgray;
}

.dtConfigCap2 {
    padding: 0px 4px 0px 4px;
}

.dtRowField {
    background-color: lightblue;
}

.dtColumnField {
    background-color: antiquewhite;
}

.dtDataField {
    background-color: khaki;
}

.dtNoField {
    background-color: none;
}



.dtConfigPropName1 {
    font-weight: bold;
    white-space: nowrap;
    max-width: 500px;
    text-overflow: ellipsis;
    overflow: hidden;
    padding: 0px 4px 0px 4px;
}

.dtConfigPropName2 {
    white-space: nowrap;
    max-width: 500px;
    text-overflow: ellipsis;
    overflow: hidden;
}

.dtConfigCheckbox {
}

.dtConfigArrow {
    border: 1px solid lightgray;
    padding: 2px;
    cursor: pointer;
}

.dtPopupForm {
    position: absolute;
    visibility: hidden;
    background-color: white;
    opacity: 1;
    border: 1px solid gray;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    /*box-shadow: 10px 10px 5px #888888;*/
}

.dtColorBox {
    width: 16px;
    height: 16px;
    display: inline-block;
    float: left;
    cursor: pointer;
    border: 1px solid gray;
}

.dtPictureBox {
    /*width: 30px;
	height: 30px;*/
    display: inline-block;
    float: left;
    cursor: pointer;
    border: 1px solid gray;
    margin-right: 10px;
}

.dtColorCap {
    display: inline-block;
    float: left;
    margin-left: 10px;
}

.dtRemoveBtn {
    cursor: pointer;
}

.dtEditBtn {
    cursor: pointer;
}

.dtDisableDiv {
    pointer-events: all;
    position: absolute;
    left: 0px;
    top: 0px;
    right: 0px;
    bottom: 0px;
    background: rgba(255, 255, 255, 0.0);
}

.dtDefinedFilter {
    display: inline-block;
    width: 4px;
    height: 4px;
    background-color: darkred;
    float: left;
    margin-left: 2px;
}

.dtColorSelector {
    position: absolute;
    max-height: 300px;
    overflow-x: auto;
    overflow-y: visible;
    border: 1px solid gray;
    background-color: white;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    visibility: hidden;
}

.dtPictureSelector {
    position: absolute;
    max-height: 300px;
    overflow-x: auto;
    overflow-y: visible;
    border: 1px solid gray;
    background-color: white;
    box-shadow: 0 5px 10px rgba(0,0,0,0.2);
    visibility: hidden;
}

.dtContentFilterTable {
    border-collapse: separate;
    border-spacing: 0;
    box-sizing: border-box;
}

.dtFilterCHBX {
    margin-right: 0px;
}

.dtFieldName {
    text-align: center;
    font-weight: bold;
    padding: 5px 8px;
}

.dtSortImg {
    margin-right: 4px;
    margin-bottom: -3px;
}
